# HeidiSQL Dump 
#
# --------------------------------------------------------
# Host:                 127.0.0.1
# Database:             base_app_invoices
# Server version:       5.0.45-community-nt
# Server OS:            Win32
# Target-Compatibility: MySQL 4.1
# max_allowed_packet:   1048576
# HeidiSQL version:     3.1 RC1 Revision: 1064
# --------------------------------------------------------

/*!40100 SET CHARACTER SET latin1*/;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0*/;


#
# Database structure for database 'base_app_invoices'
#

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `base_app_invoices` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `base_app_invoices`;


#
# Table structure for table 'clienti'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ `clienti` (
  `ID` int(11) NOT NULL auto_increment,
  `PIVA` varchar(50) default NULL,
  `CF` varchar(200) default NULL,
  `Ragione_sociale` varchar(255) default NULL,
  `Indirizzo` varchar(255) default NULL,
  `CAP` varchar(5) default NULL,
  `Citta` varchar(255) default NULL,
  `Provincia` varchar(2) default NULL,
  `Note` longtext,
  PRIMARY KEY  (`ID`)
) TYPE=InnoDB AUTO_INCREMENT=8 /*!40100 DEFAULT CHARSET=utf8*/;



#
# Dumping data for table 'clienti'
#

/*!40000 ALTER TABLE `clienti` DISABLE KEYS*/;
LOCK TABLES `clienti` WRITE;
REPLACE INTO `clienti` (`ID`, `PIVA`, `CF`, `Ragione_sociale`, `Indirizzo`, `CAP`, `Citta`, `Provincia`, `Note`) VALUES
	(1,'0123456789',NULL,'XYZ SISTEMI','Via Italia, 10','00100','Roma',NULL,NULL),
	(2,'0987654321',NULL,'UFFICIO OGGI','Via delle Idee, 88','20100','Milano',NULL,NULL),
	(3,'0066227788',NULL,'ROSSI TRADE','Via del Castello, 5','20100','Milano',NULL,NULL),
	(4,'0077553311',NULL,'BIANCHI ARREDAMENTI','Piazzale Tramonto, 12','06100','Perugia',NULL,NULL),
	(5,'0005321521',NULL,'NERI INFISSI','Piazza della Vittoria, 19','52100','Arezzo',NULL,NULL),
	(6,'0088543211',NULL,'CARTIERA GIALLI','Via della carta, 55','50100','Firenze',NULL,NULL),
	(7,'0567891234',NULL,'ABCD CONSULENZE','Via Adda s.n.c.','50100','Firenze',NULL,NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `clienti` ENABLE KEYS*/;


#
# Table structure for table 'fatture'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ `fatture` (
  `ID` int(11) NOT NULL auto_increment,
  `ID_cliente` int(11) default '0',
  `Num_fattura` int(11) default '1',
  `Data_fattura` timestamp NOT NULL default '0000-00-00 00:00:00',
  `Pagamento` smallint(6) default '30',
  `Pagata` tinyint(1) default '0',
  PRIMARY KEY  (`ID`),
  KEY `ClientiFatture` (`ID_cliente`),
  CONSTRAINT `ClientiFatture` FOREIGN KEY (`ID_cliente`) REFERENCES `clienti` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB AUTO_INCREMENT=13 /*!40100 DEFAULT CHARSET=utf8*/;



#
# Dumping data for table 'fatture'
#

/*!40000 ALTER TABLE `fatture` DISABLE KEYS*/;
LOCK TABLES `fatture` WRITE;
REPLACE INTO `fatture` (`ID`, `ID_cliente`, `Num_fattura`, `Data_fattura`, `Pagamento`, `Pagata`) VALUES
	(1,7,1,'2006-05-02 00:00:00',30,1),
	(2,6,2,'2006-05-04 00:00:00',30,0),
	(3,3,3,'2006-05-08 00:00:00',30,1),
	(4,4,4,'2006-05-12 00:00:00',30,1),
	(5,4,5,'2006-05-12 00:00:00',30,0),
	(6,1,6,'2006-05-19 00:00:00',30,0),
	(7,2,7,'2006-05-20 00:00:00',30,1),
	(8,2,8,'2006-05-29 00:00:00',30,0),
	(9,1,9,'2006-06-03 00:00:00',30,0),
	(12,5,10,'2007-12-05 00:00:00',30,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `fatture` ENABLE KEYS*/;


#
# Table structure for table 'intestazione'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ `intestazione` (
  `id` int(16) unsigned NOT NULL auto_increment,
  `Ragione_sociale` varchar(255) NOT NULL,
  `CF` varchar(100) default NULL,
  `PIVA` varchar(100) default NULL,
  `Indirizzo` varchar(255) default NULL,
  `Telefono` varchar(100) default NULL,
  `Fax` varchar(100) default NULL,
  `email` varchar(100) default NULL,
  `Dati_bancari` longtext,
  `Aliquota_RA` double default '20',
  PRIMARY KEY  (`id`)
) TYPE=InnoDB AUTO_INCREMENT=2 /*!40100 DEFAULT CHARSET=utf8*/;



#
# Dumping data for table 'intestazione'
#

/*!40000 ALTER TABLE `intestazione` DISABLE KEYS*/;
LOCK TABLES `intestazione` WRITE;
REPLACE INTO `intestazione` (`id`, `Ragione_sociale`, `CF`, `PIVA`, `Indirizzo`, `Telefono`, `Fax`, `email`, `Dati_bancari`, `Aliquota_RA`) VALUES
	('1','SOCIETA\' SOFTWARE S.p.A.','00001112222','04455667788','Via delle vie, 99 - Milano','02111222333','222222222',NULL,NULL,'20');
UNLOCK TABLES;
/*!40000 ALTER TABLE `intestazione` ENABLE KEYS*/;


#
# Table structure for table 'prestazioni'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ `prestazioni` (
  `ID` int(11) NOT NULL auto_increment,
  `ID_fattura` int(11) default '0',
  `Descrizione` longtext,
  `Importo` decimal(10,2) default '0.00',
  `Aliquota_IVA` smallint(6) default '20',
  PRIMARY KEY  (`ID`),
  KEY `ID_fattura` (`ID_fattura`),
  CONSTRAINT `FatturePrestazioni` FOREIGN KEY (`ID_fattura`) REFERENCES `fatture` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB AUTO_INCREMENT=17 /*!40100 DEFAULT CHARSET=utf8*/;



#
# Dumping data for table 'prestazioni'
#

/*!40000 ALTER TABLE `prestazioni` DISABLE KEYS*/;
LOCK TABLES `prestazioni` WRITE;
REPLACE INTO `prestazioni` (`ID`, `ID_fattura`, `Descrizione`, `Importo`, `Aliquota_IVA`) VALUES
	(1,1,'Intervento tecnico presso la Vs. sede','200',20),
	(2,1,'Sostituzione schede di rete Vs. personal computer','120',20),
	(3,2,'Intervento tecnico presso la Vs. sede','180',20),
	(4,3,'Sviluppo software gestionale','850',20),
	(5,3,'Installazione presso la Vs. sede','100',20),
	(6,3,'Formazione Vs. personale','250',20),
	(7,4,'Corsi informatica effettuati c/o Vs. sede','1000',20),
	(8,5,'Corsi informatica effettuati c/o ns. sede','500',20),
	(9,6,'Installazione e configurazione rete LAN','450',20),
	(10,6,'Formazione Vs. personale','280',20),
	(12,12,'Consulenza software','450',20),
	(13,8,'Manutenzione server','100',20),
	(14,9,'Installazione rete wireless','500',20),
	(15,9,'Assistenza mese novembre','250',20),
	(16,7,'Assistenza mese aprile','250',20);
UNLOCK TABLES;
/*!40000 ALTER TABLE `prestazioni` ENABLE KEYS*/;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS*/;
