<?php

/**
 * P4A - PHP For Applications.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * CreaLabs															<br>
 * Via Medail, 32													<br>
 * 10144 Torino (Italy)												<br>
 * Web:    {@link http://www.crealabs.it}							<br>
 * E-mail: {@link mailto:info@crealabs.it info@crealabs.it}
 *
 * The latest version of p4a can be obtained from:
 * {@link http://p4a.sourceforge.net}
 *
 * @link http://p4a.sourceforge.net
 * @link http://www.crealabs.it
 * @link mailto:info@crealabs.it info@crealabs.it
 * @copyright CreaLabs
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Fabrizio Balliano <fabrizio.balliano@crealabs.it>
 * @author Andrea Giardina <andrea.giardina@crealabs.it>
 * @package p4a
 */

class Invoices_Manager extends P4A
{
	function Invoices_Manager()
	{
		parent::p4a();
		$this->setTitle("Gestione Fatture");

		// Menu
		$this->build("p4a_menu", "menu");
		$this->menu->addItem("anagrafiche", "Anagrafiche");

		$this->menu->items->anagrafiche->addItem("ditta");
		$this->intercept($this->menu->items->anagrafiche->items->ditta,
						"onClick", "menuClick");

		$this->menu->items->anagrafiche->addItem("clienti");
		$this->intercept($this->menu->items->anagrafiche->items->clienti,
						"onClick", "menuClick");
		
    $this->menu->addItem("fatture", "Fatture");
    $this->intercept($this->menu->items->fatture, "onClick", "menuClick");

		$this->menu->addItem("report", "Report");
		$this->menu->items->report->addItem("lista", "Lista fatture");
		$this->intercept($this->menu->items->report->items->lista,
						"onClick", "menuClick");

		// Primary action
		$this->openMask("P4A_Default_Mask");
	}

	function menuClick()
	{
		$this->openMask($this->active_object->getName());
	}
}
