<?php

/**
 * P4A - PHP For Applications.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * CreaLabs															<br>
 * Via Medail, 32													<br>
 * 10144 Torino (Italy)												<br>
 * Web:    {@link http://www.crealabs.it}							<br>
 * E-mail: {@link mailto:info@crealabs.it info@crealabs.it}
 *
 * The latest version of p4a can be obtained from:
 * {@link http://p4a.sourceforge.net}
 *
 * @link http://p4a.sourceforge.net
 * @link http://www.crealabs.it
 * @link mailto:info@crealabs.it info@crealabs.it
 * @copyright CreaLabs
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Fabrizio Balliano <fabrizio.balliano@crealabs.it>
 * @author Andrea Giardina <andrea.giardina@crealabs.it>
 * @package P4A_Base_Application
 */

class ditta extends P4A_Mask
{
	function ditta()
	{
		$this->P4A_Mask();
		$p4a =& P4A::singleton();
		
		// DB Source
		$this->build("p4a_db_source", "source");
		$this->source->setTable("intestazione");
		$this->source->setPk("id");
		$this->source->load();

		$this->setSource($this->source);
		$this->firstRow();
		$this->setTitle('Intestazione Ditta');

		// Toolbar
		$tool= & $this->build("p4a_simple_toolbar", "tool");
    // Disable some buttons, this table has only 1 record!
    $tool->buttons->new->disable();
    $tool->buttons->delete->disable();
    $tool->setMask($this);
    
		// Message
		$message =& $this->build("p4a_message", "message");
		$message->setWidth("300");

		// Fieldset con l'elenco dei campi
		$fset=& $this->build("p4a_fieldset", "frame");
		$fset->setTitle("Dati");
    $fset->setWidth(600);
    // Define some fields width
    $this->fields->Ragione_sociale->setWidth(400);
    $this->fields->Indirizzo->setWidth(400);
    $this->fields->email->setWidth(400);
    $this->fields->Dati_bancari->setWidth(400);
    // Anchor fields to fieldset   
		$fset->anchor($this->fields->Ragione_sociale);
		$fset->anchor($this->fields->Indirizzo);
		$fset->anchor($this->fields->CF);
		$fset->anchor($this->fieldsf->PIVA);
		$fset->anchor($this->fields->Telefono);
		$fset->anchor($this->fields->Fax);
		$fset->anchor($this->fields->email);
		$fset->anchor($this->fields->Aliquota_RA);
		$fset->anchor($this->fields->Dati_bancari);

		// Frame
		$frm=& $this->build("p4a_frame", "frm");
		$frm->setWidth(600);
		$frm->newRow();
  	$frm->anchor($fset);

		// Display
		$this->display("main", $frm);
		$this->display("menu", $p4a->menu);
		$this->display("top", $this->tool);		
	}
	
}

?>
