<?php

/**
 * P4A - PHP For Applications.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * To contact the authors write to:									<br>
 * CreaLabs															<br>
 * Via Medail, 32													<br>
 * 10144 Torino (Italy)												<br>
 * Web:    {@link http://www.crealabs.it}							<br>
 * E-mail: {@link mailto:info@crealabs.it info@crealabs.it}
 *
 * The latest version of p4a can be obtained from:
 * {@link http://p4a.sourceforge.net}
 *
 * @link http://p4a.sourceforge.net
 * @link http://www.crealabs.it
 * @link mailto:info@crealabs.it info@crealabs.it
 * @copyright CreaLabs
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 * @author Fabrizio Balliano <fabrizio.balliano@crealabs.it>
 * @author Andrea Giardina <andrea.giardina@crealabs.it>
 * @package P4A_Base_Application
 */

class prestazioni extends P4A_Mask
{
	function prestazioni()
	{
		$this->P4A_Mask();
		$p4a =& P4A::singleton();
		
		// DB Source
		$this->build("p4a_db_source", "source");
		$this->source->setTable("prestazioni");
		$this->source->setPk("ID");
		$this->source->addOrder("ID");
		$this->source->setPageLimit(10);
		$this->source->load();

		$this->setSource($this->source);
		$this->setTitle('Dettaglio fattura');

		// Customizing fields properties
		$this->setFieldsProperties();
		$fields =& $this->fields;

		// Toolbar
		$this->build("p4a_simple_toolbar", "toolbar");
		$this->toolbar->buttons->print->setInvisible();
  	$this->toolbar->buttons->s1->setInvisible();
		$this->toolbar->buttons->exit->setInvisible();

    $this->toolbar->setMask($this);

		// Table
		$table =& $this->build("p4a_table", "table");
 		$table->setWidth(710);
		$table->setSource($this->source);
		$table->setVisibleCols(array("Descrizione","Importo","Aliquota_IVA"));

		while ($col =& $table->cols->nextItem()) {
			$col->setWidth(150);
		}
		$table->showNavigationBar();

		// Message
		$message =& $this->build("p4a_message", "message");
		$message->setWidth("300");

		//Fieldset con l'elenco dei campi
		$fset=& $this->build("p4a_fieldset", "frame");
		$fset->setTitle("Dati");
    $fset->setWidth(700); 
		$fset->anchor($this->fields->Descrizione);
		$fset->anchorLeft($this->fields->Importo);
		$fset->anchor($this->fields->Aliquota_IVA);

		// Frame
		$frm=& $this->build("p4a_frame", "frm");
		$frm->setWidth(730);
		$frm->anchorCenter($message);
		//$frm->anchor($table);
  	$frm->anchor($fset);

		// Mandatory Fields
	    $this->mf = array("Descrizione");
		foreach($this->mf as $mf){
			$fields->$mf->label->setFontWeight("bold");
		}

		// Display
		/*
    $this->display("main", $frm);
		$this->display("menu", $p4a->menu);
		$this->display("top", $this->toolbar);
		*/
	}

	function setFieldsProperties()
	{
		$p4a =& p4a::singleton();
		$fields =& $this->fields;
		$fields->Descrizione->setWidth(395);
	}

	function saveRow()
	{
		$valid = true;

		foreach($this->mf as $mf){
			$value = $this->fields->$mf->getNewValue();
			if(trim($value) === ""){
				$this->fields->$mf->setError();
				$valid = false;
			}
		}

		if ($valid) {
		
			$maskFatture = & p4a_mask::singleton('fatture');      
			$actualIdFattura = $maskFatture->fatture->fields->ID->getNewValue();      
			$this->fields->ID_fattura->setNewValue($actualIdFattura);
		
			parent::saveRow();
		}else{
			$this->message->setValue("Indicare tutti i campi necessari");
		}
	}

}

?>
